# ManifestResponse | xrpl
Documentation for xrpl

# Interface ManifestResponse

Response expected from a ManifestRequest.

#### Hierarchy

- BaseResponse
  - ManifestResponse

- Defined in packages/xrpl/src/models/methods/manifest.ts:33

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
details?: {
domain: string;
ephemeral_key: string;
master_key: string;
seq: number;
};
manifest?: string;
requested: string;
}

#### Type declaration

- ##### `Optional` details?: {
  domain: string;
  ephemeral_key: string;
  master_key: string;
  seq: number;
  }

  The data contained in this manifest. Omitted if the server does not have A manifest for the public_key from the request.

  - ##### domain: string

  - ##### ephemeral_key: string

  - ##### master_key: string

  - ##### seq: number

- ##### `Optional` manifest?: string

  The full manifest data in base64 format. This data is serialized to binary before being base64-encoded. Omitted if the server does not have a manifest for the public_key from the request.

- ##### requested: string

  The public_key from the request.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/manifest.ts:34

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc